<div id="ModuleScrapingbot" class="panel product-tab">
    <input type="hidden" name="submitted_tabs[]" value="ModuleScrapingbot" />
    <input type="hidden" id="controller" value="{$controller}" />
    <input type="hidden" id="product" value="{$id_product}" />
    <h3>{l s='Product URL by Platform' mod='scrapingbot'}</h3>
    {if isset($platforms) && $platforms}
    <div class="form-group">
        <table class="table">
            <thead>
            <tr>
                <th style="witdh: 10%">{l s='Plateform' mod='scrapingbot'}</th>
                <th style="width: 50%">{l s='Product URL' mod='scrapingbot'}</th>
                <th style="witdh: 10%">{l s='Last update' mod='scrapingbot'}</th>
                <th style="witdh: 10%">{l s='Price' mod='scrapingbot'}</th>
                <th style="witdh: 10%">{l s='Shipping Fees' mod='scrapingbot'}</th>
                <th style="witdh: 10%"></th>
            </tr>
            </thead>
            <tbody>
            {foreach from=$platforms item=platform}
                <tr id="line_{$platform.id}">
                    <td>{$platform.name}</td>
                    <td><input onchange="displayButton({$id_product}, {$platform.id})" class="product_url col-12 col-xs-12" type="text" id="product_url_{$platform.id}" name="product_url[{$platform.id}]" value="{$platform.url}"/></td>
                    <td class="date">{$platform.date}</td>
                    <td class="price">{$platform.price}</td>
                    <td class="shipping_price">{$platform.shipping_price}</td>
                    <td class="button">{if Validate::isUrl($platform.url)}
                        <input type="button" onclick="testcollected({$id_product}, {$platform.id}); return false;" name="Collecting" value="{l s='Collect the price now' mod='scrapingbot'}" />
                    {/if}</td>
                </tr>
                {if isset($platform.title) && $platform.title!=''}
                    <tr id="detail_{$platform.id}">
                        <td>{if $platform.image!=''}
                            <img src="{$platform.image}" alt="{$platform.title}" style="max-width:150px" />
                        {/if}</td>
                        <td colspan="5">
                            {$platform.title}<br/>
                            {$platform.description}
                        </td>
                    </tr>
                {/if}

            {/foreach}
            </tbody>
        </table>
    </div>
    <div class="panel-footer">
        <a href="{$link->getAdminLink('AdminProducts')}" class="btn btn-default"><i class="process-icon-cancel"></i> {l s='Cancel' mod='scrapingbot'}</a>
        <button type="submit" name="submitAddproduct" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save' mod='scrapingbot'}</button>
        {if $version<1.7}<button type="submit" name="submitAddproductAndStay" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save and stay'}</button>{/if}
    </div>
    {/if}
</div>

{literal}
    <script type="text/javascript">
        {/literal}
        var sendemail = "{l s='Send a mail to Scraping-bot'  mod='scrapingbot'}";
        var sendemailok = "{l s='Email sent'  mod='scrapingbot'}";
        var button_text= "{l s='Collect the price now' mod='scrapingbot'}";
        {literal}

        function displayButton(id_product, id_platform){
            if($('#line_'+id_platform+' .button').text()==''){
                var button = '<input type="button" onclick="testcollected('+id_product+', '+id_platform+'); return false;" name="Collecting" value="'+button_text+'" />';
                $('#line_'+id_platform+' .button').html(button);
            }
        }

        function sendEmail(id_product, id_platform) {
            var url = $('#product_url_' + id_platform).val();
            if (url != '') {
                $.ajax({
                    type: 'post',
                    headers: {"cache-control": "no-cache"},
                    url: $('#controller').val(),
                    async: true,
                    cache: false,
                    dataType: "json",
                    data: {
                        'action': 'sendemail',
                        'id_product': id_product,
                        'id_platform': id_platform,
                        'url': url
                    },
                    success: function (jsonData) {
                        if(jsonData.send==1){
                            $('#detail_'+id_platform+' .action').text(sendemailok);
                        }else{
                            var error = 'ERROR: unable to send email';
                            if (!!$.prototype.fancybox) {
                                $.fancybox.open([
                                    {
                                        type: 'inline',
                                        autoScale: true,
                                        minHeight: 30,
                                        content: error
                                    }
                                ], {
                                    padding: 0
                                });
                            } else
                                alert(error);
                            return false;
                        }
                    },
                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                        var error = 'ERROR: unable to load data';
                        if (!!$.prototype.fancybox) {
                            $.fancybox.open([
                                {
                                    type: 'inline',
                                    autoScale: true,
                                    minHeight: 30,
                                    content: error
                                }
                            ], {
                                padding: 0
                            });
                        } else
                            alert(error);
                        return false;
                    }
                });
            }
        }

        function testcollected(id_product, id_platform) {
            var url = $('#product_url_' + id_platform).val();
            if (url != '') {
                $.ajax({
                    type: 'post',
                    headers: {"cache-control": "no-cache"},
                    url: $('#controller').val(),
                    async: true,
                    cache: false,
                    dataType: "json",
                    data: {
                        'action': 'collected',
                        'id_product': id_product,
                        'id_platform': id_platform,
                        'url': url
                    },
                    success: function (jsonData) {
                        var line = '<tr id="detail_'+id_platform+'">';
                        if (jsonData.errors.length>0)
                        {
                            var errors = '';
                            for(var error in jsonData.errors)
                                //IE6 bug fix
                                if(error !== 'indexOf')
                                    errors += jsonData.errors[error]+'<br />';
                            line += '<td></td><td colspan="3">'+ errors;
                            if(typeof jsonData.button_mail != 'undefined'){
                                line = line + '</td><td colspan="2" class="action"><input type="button" onclick="sendEmail('+id_product+', '+id_platform+'); return false;" name="Send Email" value="'+sendemail+'" />';
                            }else {
                                line = line + '</td><td>';
                            }
                        }else{
                            if(jsonData.data){
                                line = line + '<td>';
                                if(jsonData.data.image!='') {
                                    line = line + '<img src="' + jsonData.data.image + '" alt="' + jsonData.data.title + '" style="max-width: 150px;"/></td>'
                                }
                                line = line + '<td colspan="4">'
                                line = line + jsonData.data.title+'<br />';
                                line = line + jsonData.data.description;
                                line = line + '</td><td>';

                                $('#line_'+id_platform+' .date').text(jsonData.data.date);
                                $('#line_'+id_platform+' .price').text(jsonData.data.price);
                                $('#line_'+id_platform+' .shipping_price').text(jsonData.data.shipping_price);
                            }
                        }
                        line = line + '</td></tr>'
                        $('#detail_'+id_platform).remove();
                        $('#line_'+id_platform).after(line);
                    },
                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                        var error = 'ERROR: unable to load data';
                        if (!!$.prototype.fancybox) {
                            $.fancybox.open([
                                {
                                    type: 'inline',
                                    autoScale: true,
                                    minHeight: 30,
                                    content: error
                                }
                            ], {
                                padding: 0
                            });
                        } else
                            alert(error);
                        return false;
                    }
                });
            }
        }
    </script>

{/literal}
