<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of SCrapingbotPlatform
 *
 * @author scrapingbot
 */
class ScrapingbotPlatform extends ObjectModel {
	public $name;
	public $url;
    public $image;
    public $active;
	public $position;
	public $id_shop;

	/**
	 * @see ObjectModel::$definition
	 */
	public static $definition = array(
		'table' => 'scrapingbot_platform',
		'primary' => 'id_platform',
		'fields' => array(
			'name' =>			array('type' => self::TYPE_STRING, 'required' => true, 'size' => 200),
			'url' =>			array('type' => self::TYPE_STRING,'required' => true, 'size' => 200),
            'image' =>			array('type' => self::TYPE_STRING, 'validate' => 'isCleanHtml', 'size' => 255),
            'position' =>       array('type' => self::TYPE_INT, 'validate' => 'isInt'),
            'id_shop' =>        array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
            'active' =>         array('type' => self::TYPE_BOOL, 'validate' => 'isBool', 'required' => true),
		)
	);
    public function copyFromPost(&$object, $table)
    {
        /* Classical fields */
        foreach ($_POST as $key => $value) {
            if (array_key_exists($key, $object) && $key != 'id_'.$table) {
                $object->{$key} = $value;
            }
        }

        /* Multilingual fields */
        $class_vars = get_class_vars(get_class($object));
        $fields = array();
        if (isset($class_vars['definition']['fields'])) {
            $fields = $class_vars['definition']['fields'];
        }

        foreach ($fields as $field => $params) {
            if (array_key_exists('lang', $params) && $params['lang']) {
                foreach (Language::getIDs(false) as $id_lang) {
                    if (Tools::isSubmit($field.'_'.(int)$id_lang)) {
                        $object->{$field}[(int)$id_lang] = Tools::getValue($field.'_'.(int)$id_lang);
                    }
                }
            }
        }
    }

    public static function getPlatforms(){
        $sql = 'SELECT * FROM `'._DB_PREFIX_.'scrapingbot_platform`';

        return Db::getInstance()->executeS($sql);
    }

}
